<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML - Forms, Tables and Semantic HTML</title>
</head>

<body>
    <!-- header tag is a semantic tag to inform the developer and client that
    this component is for the header of the Web Page -->
    <header>
        <h2 align="center">HTML Entities</h2>
    </header>
 
    <main>
        <!-- This section is for the HTML Table. -->
        <section>
            <p><em>Reserved characters in HTML (e.g. &lt;or&gt; characters 
                that can mix up with HTML code).
            </or></em></p>
        </section>

        <table border="2px">
            <!-- thead tag is for table header -->
            <thead>
                <!-- tr tag defines a table row -->
                <!-- First row on our header -->
                <tr>
                    <!-- colspan attribute changes the amount of columns
                    a table element will occupy -->
                    <th colspan="2">Entity</th>
                    <!-- rowspan attribute changes the amount of rows a table
                    element will occupy -->
                    <th rowspan="2">Description</th>
                </tr>
                <!-- Second row of our header -->
                <tr>
                    <th>Symbol</th>
                    <th>Name/Number</th>
                </tr>
            </thead>

            <!-- tbody tag is for table body -->
            <tbody>
                <!-- this is the first row -->
                <tr>
                    <td>&lt;</td>
                    <td>lt</td>
                    <td colspan="4">less than</td>
                </tr>
                <tr>
                    <td>&gt;</td>
                    <td>gt</td>
                    <td colspan="8">greater than</td>
                   
                </tr>
                <tr>
                    <td>&#8369;</td>
                    <td colspan>#8369</td>
                    <td>peso sign</td>
                </tr>
                <tr>
                    <td>&amp;</td>
                    <td>amp</td>
                    <td>ampersand</td>
                </tr>
                <tr>
                    <td>"</td>
                    <td >quot</td>
                    <td >double quotation mark</td>
                </tr>
                <tr>
                    <td>'</td>
                    <td >apos</td>
                    <td>single quotationmark (apostrophe)</td>
                </tr>
                <tr>
                    <td>ñ</td>
                    <td >ntilde</td>
                    <td>Lower Tilde</td>
                </tr>
                <tr>
                    <td>Ñ</td>
                    <td>Ntilde</td>
                    <td>Upper tilde</td>
                </tr>
                
            </tbody>
            <!-- tfoot tag is for footer of the table -->
            <tfoot>
                <tr>
                    <th align="center" colspan="3">List of HTML Entities</th>
                </tr>
                 
            </tfoot>
        </table>
        <!-- This section is for the HTML Form -->
        <section>
            <h2 align="center">HTML Form</h2>
            <p><em>Input elements that make up a form.</em></p>

            <form action="" method="">
                <!--Text inputs -->
                <!-- label tag - creates a text element that serve as the label -->
                <!-- type attribute will define what type of information the input will accept -->
              
                <label for="fullname">Full Name:</label>
                <br/>
                <input type="text" name="fullname" id="fullname" required/>
                <br/>

                <label for="birthdate">Birthdate:</label>
                <br>
                <input type="date" name="birthdate" id="birthdate" required/>
                <br>

                <label for="age">Age:</label><br>
                <input type="number" name="age" id="age" required><br>

                <!-- Dropdown -->
                <label for="gender">Gender:</label><br>
                <select name="gender" id="gender">
                    <option value="male">Male</option>
                    <option value="female">Female</option>

                </select><br>

                <!-- textarea -->
                <label for="suggestion">Suggestion:</label><br>
                <textarea name="suggestion" id="suggestion" cols="20" rows="5" required></textarea><br>
                
                <!-- Radio Button -->
                <label for="civilStatus">Civil Status</label><br>

                <input type="radio" name="civilStatus" id="single" value="single"/>
                <label for="single">Single</label><br>
                
                <input type="radio" name="civilStatus" id="married" value="married"/>
                <label for="">Married</label><br>

                <input type="radio" name="civilStatus" id="widowed" value="widowed">
                <label for="">Widow</label><br>

                <!-- Checkbox -->
                <br>
                <label for="job">Job:</label><br>

                <input type="checkbox" name="job1" id="developer" value="developer">
                <label for="developer">Developer</label><br>

                <input type="checkbox" name ="job2" id="student" value="student">
                <label for="student">Student</label><br>

                <input type="checkbox" name="job3" id="manager" value="manager">
                <label for="manager">Manager</label><br>

                <br>
                <button type="submit">Submit</button>
                <button type="reset">Reset</button>
            </form>
        </section>
    </main>
</body>

</html>